[package]
name = "nexrad-browser"
version = "0.1.0"
authors = ["core <core@coredoes.dev>"]
edition = "2021"
description = "A web-based browser for NEXRAD Archive II datafiles"
repository = "https://git.e3t.cc/core/rtwx"
license = "GPL-3"

[lib]
crate-type = ["cdylib", "rlib"]

[features]
default = ["console_error_panic_hook"]

[dependencies]
wasm-bindgen = "0.2"
console_error_panic_hook = { version = "0.1", optional = true }
nexrad2 = { version = "0.1.0", path = "../nexrad2", default-features = false, features = ["bzip-impl-bzip2-rs", "serde_derive"] }
log = "0.4"
wasm-logger = "0.2"
serde-wasm-bindgen = "0.6"
chrono = "0.4"

[dependencies.js-sys]
version = "0.3"

[dependencies.web-sys]
version = "0.3"
features = [
    'CanvasRenderingContext2d',
    'Document',
    'Element',
    'HtmlCanvasElement',
    'HtmlInputElement',
    'Window',
    'FileList',
    'File',
    'FileReader',
    'EventTarget'
]

[dev-dependencies]
wasm-bindgen-test = "0.3"

